/*
    prof. Constantin Galatan
    O(N * N * K)
 */
#include <fstream>
using namespace std;

ifstream fin("kswap.in");
ofstream fout("kswap.out");

const int Kmax = 11176, Nmax = 151, Mod = 30103;
int N, K;
int p[Nmax][Kmax];


int main()
{
	fin >> N >> K;

	p[0][0] = 1;
	for (int i = 1; i <= N; ++i)
		for (int k = 0; k <= K; ++k)
			for (int j = max(1, i - k); j <= i; ++j)
			{
				p[i][k] += p[i - 1][k - i + j];
				if ( p[i][k] >= Mod )
					p[i][k] -= Mod;
			}


	fout << p[N][K];


	fin.close();
	fout.close();
}
