/* prof. Constantin Galatan
   60 puncte
   segment trees (lazy propagation)
*/
#include <fstream>
#include <algorithm>

using namespace std;

int N, K, M;
int Min[4 * 200002], Max[4 * 200002], L, R;

void Update(int nod, int l, int r);
int Query(int nod, int l, int r);

int main()
{
	ifstream fin("paint.in");
	ofstream fout("paint.out");

	fin >> N >> K >> M;

	for (int i = 1, x, y; i <= M; ++i)
	{
		fin >> x >> y;
		L = x + 1;
		R = L + y - 1;
		Update(1, 1, N);
	}

	fout << Query(1, 1, N) << '\n';

	fin.close();
	fout.close();
}


void Update(int nod, int l, int r)
{
	if (L <= l && r <= R)
	{
		Min[nod]++;
		Max[nod]++;
		return;
	}

	if (Min[nod] != min(Min[nod * 2], Min[nod * 2 + 1]))
	{
		int dif = Min[nod] - min(Min[nod * 2], Min[nod * 2 + 1]);
		Min[nod * 2] += dif;
		Min[nod * 2 + 1] += dif;
		Max[nod * 2] += dif;
		Max[nod * 2 + 1] += dif;
	}

	int mid = (l + r) / 2;
	if (L <= mid) Update(nod * 2, l, mid);
	if (R  > mid)  Update(nod * 2 + 1, mid + 1, r);

	Min[nod] = min(Min[nod * 2], Min[nod * 2 + 1]);
	Max[nod] = max(Max[nod * 2], Max[nod * 2 + 1]);
}

int Query(int nod, int l, int r)
{
	if (Min[nod] >= K) return 0;
	if (Max[nod]  < K) return r - l + 1;

	if (Min[nod] != min(Min[nod * 2], Min[nod * 2 + 1]))
	{
		int dif = Min[nod] - min(Min[nod * 2], Min[nod * 2 + 1]);
		Min[nod * 2] += dif;
		Min[nod * 2 + 1] += dif;
		Max[nod * 2] += dif;
		Max[nod * 2 + 1] += dif;
	}

	int mid = (l + r) / 2;
	return Query(nod * 2, l, mid) + Query(nod * 2 + 1, mid + 1, r);
}
