// O(m * log m)
#include <string>
#include <fstream>
#include <vector>
#include <algorithm>

std::ifstream fin("paint.in");
std::ofstream fout("paint.out");

struct Point { // capat de interval (stanga sau dreapta)
    int x;
    int sgn;  // +1 capat stanga, -1 capat dreapta
    bool operator < (const Point& p) const {
        return x < p.x || (x == p.x && sgn > p.sgn);
    }
};

int n, m, k;
std::vector<Point> C;

template <class T>
void Print(T C)
{
	for (const auto& c : C)
		fout << c.x << ' ' << c.sgn << '\n';
}

int main()
{
    fin >> n >> k >> m;
    int d, L;
    for (int i = 0; i < m; i++)
    {
        fin >> d >> L;
        C.push_back({d, 1});
        C.push_back({d + L, -1});
    }

    std::sort(C.begin(), C.end());

    int cnt(0), lf(0), D(0);
    for (const auto& c : C)
    {
        if (cnt == k - 1 && c.sgn == 1)
			D += c.x - lf;
        else
			if (cnt == k && c.sgn == -1)
				lf = c.x;
        cnt += c.sgn;
    }
    D += n - lf;
//    Print(C);
    fout << D << '\n';
    fin.close();
    fout.close();
    return 0;
}





